#include <iostream>
using namespace std;

int main()
{
    int clan;
    int n,m,k;
    int t;
    cin>>t;
    int kalc[t];
    for(int i=0;i<t;i++)
    {
        cin>>n>>m>>k;
        clan=m/n;
        if(n/2*1/k>clan-1 || k>n)
        kalc[i]=0;
        else kalc[i]=1;
    }
    for(int i=0;i<t;i++)
    {
        if(kalc[i]==0)
        {
            cout<<"Nie"<<endl;
        }
        else cout<<"Tak"<<endl;
    }


}